Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 332941 - gnome-extra/yelp-2.30.1-r1 fails when xulrunner is built with USE-cups
Summary: gnome-extra/yelp-2.30.1-r1 fails when xulrunner is built with USE-cups
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: AMD64 Linux
: High normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-16 01:40 UTC by Jarrod Chesney
Modified: 2010-10-14 05:10 UTC (History)
9 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jarrod Chesney 2010-08-16 01:40:33 UTC
I have had a problem with gnome-extra/yelp-2.30.1-r1 and net-libs/xulrunner-1.9.2.8-r1.
To fix the problem i needed to add USE+cups which was used by xulrunner.

yelp needs to be made to depend on net-libs/xulrunner[+cups]

Reproducible: Always

Steps to Reproduce:
1. USE=-cups emerge -DuN yelp

Actual Results:  
compile fails

Expected Results:  
compils succeds

This forum post  is where i found the answer

http://forums.gentoo.org/viewtopic-p-6382144.html?sid=0c73012a71301bd379b70dc2b1de83f7
Comment 1 Jory A. Pratt gentoo-dev 2010-08-16 03:23:13 UTC
Reopen with actual build error and emerge info please.
Comment 2 Denis Dupeyron gentoo-dev 2010-09-03 16:04:57 UTC
Confirmed. Here is the actual error:

Yelper.cpp:48:32: error: nsIWebBrowserPrint.h: No such file or directory

With USE=-cups this include file does not get installed by xulrunner. I will let you guys decide whether it's a mozilla or a gnome issue.

Denis.
Comment 3 Pacho Ramos gentoo-dev 2010-09-06 13:30:51 UTC
I guess we will need to RDEPEND on xulrunner[+cups]
Comment 4 Jory A. Pratt gentoo-dev 2010-09-06 14:29:55 UTC
(In reply to comment #3)
> I guess we will need to RDEPEND on xulrunner[+cups]
> 

Pacho, I am hoping to actually be able to revert that change here shortly. If you would hold out a few days and let me see what I can do on mozilla side would be appreciated.
Comment 5 Pacho Ramos gentoo-dev 2010-09-06 15:09:46 UTC
I will probably wait also for other team members opinions :-)
Comment 6 Markus Oehme 2010-09-30 07:35:57 UTC
This build failure continues to exist in yelp-2.30.2.
Comment 7 Jory A. Pratt gentoo-dev 2010-09-30 12:11:59 UTC
(In reply to comment #5)
> I will probably wait also for other team members opinions :-)
> 

You will need xulrunner[cups] if you want to build against. I am leaving the option to disable printing supporting in xulrunner/firefox/thunderbird/seamonkey
Comment 8 blackdream 2010-09-30 12:25:57 UTC
(In reply to comment #6)
> This build failure continues to exist in yelp-2.30.2.
> 

Same error.

~amd64
Comment 9 Boris Petersen 2010-10-02 14:01:34 UTC
i would really appreciate if a solution without cups could be found. i don't want to install a printing system without having a printer only for the gnome help system.
Comment 10 koyama 2010-10-08 21:59:59 UTC
(In reply to comment #9)
> i would really appreciate if a solution without cups could be found. i don't
> want to install a printing system without having a printer only for the gnome
> help system.
> 

2nd
Comment 11 Mart Raudsepp gentoo-dev 2010-10-12 13:36:18 UTC
Previously xulrunner didn't depend on cups at all, as evidenced by one of my vastly outdated systems, and yelp still was happy and had a nsIWebBrowserPrint.h to build against just fine. Why is the presence of the nsIWebBrowserPrint interface now all of a sudden hard dependent on cups?
Comment 12 Jory A. Pratt gentoo-dev 2010-10-13 00:14:32 UTC
(In reply to comment #11)
> Previously xulrunner didn't depend on cups at all, as evidenced by one of my
> vastly outdated systems, and yelp still was happy and had a
> nsIWebBrowserPrint.h to build against just fine. Why is the presence of the
> nsIWebBrowserPrint interface now all of a sudden hard dependent on cups?
> 
Cups useflag and dep have been removed, printing will default back to always building in xulrunner, if the user wishes to print to a printer they will have to install cups and configure.

p.s for those of you effected in few hours run emerge -uDN world and you will end up rebuilding xulrunner/firefox which has removed the cups useflag.
Comment 13 Mart Raudsepp gentoo-dev 2010-10-13 01:37:58 UTC
So I guess with that this is FIXED. Thanks Jory and others.

What the change to xulrunner should mean, based on IRC discussions with Jory, is that the nsIWebBrowserPrint interface is once again always built and provides at least the "Print to File" functionality through cairo. If the system also has cups available, it'll automatically also support printing to printers that are set up in cups configuration, as before the temporary USE flag introduction.